from fastapi import APIRouter
from .todos import router as todos_router
from .categories import router as categories_router
from .projects import router as projects_router
from .tags import router as tags_router

api_router = APIRouter()
api_router.include_router(todos_router, prefix="/todos", tags=["todos"])
api_router.include_router(categories_router, prefix="/categories", tags=["categories"])
api_router.include_router(projects_router, prefix="/projects", tags=["projects"])
api_router.include_router(tags_router, prefix="/tags", tags=["tags"])

__all__ = ["api_router"]
